import { env } from 'bun';
import homepage from './index.html';
import robotsTxt from './static/robots.txt';
import sitemapTxt from './static/sitemap.txt';
// @ts-ignore ts2307
import icon from './static/favicon.png' with { type: 'file' };

const favicon = await Bun.file(icon).bytes();

const development = env.NODE_ENV !== 'production';

Bun.serve({
  routes: {
    '/': homepage,
    '/robots.txt': new Response(robotsTxt, {
      headers: { 'Content-Type': 'text/plain' }
    }),
    '/sitemap.txt': new Response(sitemapTxt, {
      headers: { 'Content-Type': 'text/plain' }
    }),
    '/favicon.ico': new Response(favicon, {
      headers: { 'Content-Type': 'image/png' }
    }),
    '/health': new Response('OK')
  },
  development
  // async fetch(req, server) {
  //   return new Response("Not found", { status: 404 });
  // },
});
